com.r3corda.core.serialization / SerializeAsTokenSerializer

# SerializeAsTokenSerializer

`class SerializeAsTokenSerializer<T : SerializeAsToken>`

A Kryo serializer for SerializeAsToken implementations.

This is registered in createKryo.

### Constructors

<init> | `SerializeAsTokenSerializer()` A Kryo serializer for SerializeAsToken implementations.

### Functions

read | `fun read(kryo: <ERROR CLASS>, input: <ERROR CLASS>, type: Class<T>): T`
write | `fun write(kryo: <ERROR CLASS>, output: <ERROR CLASS>, obj: T): Unit`

### Companion Object Functions

clearContext | `fun clearContext(kryo: <ERROR CLASS>): Unit`
setContext | `fun setContext(kryo: <ERROR CLASS>, context: SerializeAsTokenContext): Unit`